Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225700 - Merge Review: docbook-dtds
Summary: Merge Review: docbook-dtds
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:28 UTC by Nobody's working on this, feel free to take it
Modified: 2010-03-04 07:04 UTC (History)
3 users (show)

Fixed In Version: docbook-dtds-1.0-52.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 06:38:43 UTC
kdudka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)
fix rpmlint warnings about unapplied patches (deleted)
2010-02-23 12:42 UTC, Kamil Dudka
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 18:28:50 UTC
Fedora Merge Review: docbook-dtds

http://cvs.fedora.redhat.com/viewcvs/devel/docbook-dtds/
Initial Owner: twaugh@redhat.com

Comment 1 Ondrej Vasik 2007-07-27 08:10:11 UTC
Package Change Request
======================
Package Name: docbook-dtds
Updated Fedora Owners: ovasik@redhat.com

Comment 2 Kamil Dudka 2010-02-23 12:42:20 UTC
Created attachment 395701 [details]
fix rpmlint warnings about unapplied patches

Comment 3 Kamil Dudka 2010-02-23 13:37:30 UTC
considered OK
=============
- almost silent rpmlint with the the patch applied:

docbook-dtds.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 299, tab: line 269)
docbook-dtds.noarch: W: dangerous-command-in-%post chmod
docbook-dtds.noarch: W: dangerous-command-in-%postun rm

- sane summary/description
- valid project URL and source URL
- upstream zip archives are match the ones from look-aside cache
- dist tag OK
- license tag OK
- %prep OK
- %clean OK
- %defattr OK
- %files OK
- %doc OK, the hack with cp --parents is IMO a bit subtle, but it works


may be better
=============
- BuildRoot tag should be %(mktemp -ud
%{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

- all explicit (Build)Requires may be eliminated (far beyond Fedora 11)

Comment 4 Ondrej Vasik 2010-03-03 16:00:03 UTC
Fixed and built as docbook-dtds-1.0-51.fc14 .

Comment 5 Kamil Dudka 2010-03-03 16:22:35 UTC
Thank you for considering the review comments.

I am still getting two rpmlint errors:
docbook-dtds.noarch: E: explicit-lib-dependency libcurl
docbook-dtds.noarch: E: explicit-lib-dependency libcurl

I suggest to fix it as follows:
===================================================================
RCS file: /cvs/extras/rpms/docbook-dtds/devel/docbook-dtds.spec,v
retrieving revision 1.36
diff -u -p -r1.36 docbook-dtds.spec
--- docbook-dtds.spec   3 Mar 2010 15:59:04 -0000       1.36
+++ docbook-dtds.spec   3 Mar 2010 16:21:57 -0000
@@ -33,8 +33,8 @@ Provides: docbook-dtd44-xml = %{version}
 Provides: docbook-dtd45-sgml = %{version}-%{release}
 Provides: docbook-dtd45-xml = %{version}-%{release}
 
-Requires(post): libxml2
-Requires(postun): libxml2
+Requires(post): /usr/bin/xmlcatalog
+Requires(postun): /usr/bin/xmlcatalog
 Requires(post): /bin/chmod
 Requires: sgml-common
 Requires: xml-common

Comment 6 Kamil Dudka 2010-03-03 16:24:40 UTC
> docbook-dtds.noarch: E: explicit-lib-dependency libcurl
> docbook-dtds.noarch: E: explicit-lib-dependency libcurl

s/libcurl/libxml2/

Comment 7 Ondrej Vasik 2010-03-03 16:26:12 UTC
Fixed in docbook-dtds-1.0-52.fc14 ... thanks.

Comment 8 Kamil Dudka 2010-03-03 16:29:14 UTC
Looks sane now.

fedora-review+


Note You need to log in before you can comment on or make changes to this bug.